/*
 *
 * X DLX Simulator
 *
 * The DLX is a 32-bit RISC machine based on the MIPS 2000 architecture.
 * The architecture includes 32 32-bit general purpose registers and a 
 * program counter.
 *
 * Floating point registers and an interrupt register are not implemented.
 *
 * The address space is 4 Gbytes, big-endian byte-addressable using 32-bit
 * addresses. All instructions must be properly aligned.
 *
 *
 * Cameron Humphries
 * Department of Computer Science
 * University of Adelaide
 * 1992
 *
 */
 
#include <stdio.h>
#include <X11/X.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Xaw/Form.h>
#include <X11/Xaw/Label.h>

extern Widget toplevel;

Widget status_view;

/*
 * 
 */
void Create_Status_View(Widget form)
{
  Widget w;
  static Arg label_args[] = {
    {XtNlabel,(XtArgVal)"STATUS"},
    {XtNborderWidth, (XtArgVal)0},
    {XtNfromVert, (XtArgVal)NULL},
  };
  static Arg status_args[] = {
    {XtNlabel,(XtArgVal)"STATUS"},
    {XtNborderWidth, (XtArgVal)0},
    {XtNfromVert, (XtArgVal)NULL},
    {XtNwidth, (XtArgVal)600},
  };
  
  label_args[2].value = (XtArgVal)XtNameToWidget(form,"Data_View");
  w = XtCreateManagedWidget("Status_Title",labelWidgetClass,form,
			    label_args,XtNumber(label_args));
			    
  status_args[1].value = (XtArgVal)1;
  status_args[2].value = (XtArgVal)w;
  status_view = XtCreateManagedWidget("Status_View",labelWidgetClass,form,
			    status_args,XtNumber(status_args));
			    
  return;
}

void Write_Status_Message(char *msg)
{
  static Arg arg_list[] = {
    {XtNlabel, (XtArgVal)NULL},
  };
  static char *str;
  
  str = malloc(strlen(msg)+1);
  strcpy(str,msg);
  arg_list[0].value = (XtArgVal)str;
  XtSetValues(status_view,arg_list,XtNumber(arg_list));
  return;
}


